version: '3.8'

services:
  frontend:
    image: 172.35.0.216/library/vendaweb-portal:latest
    ports:
      - "8081:80"
    networks:
      - simplifique-network
    environment:
      - API_URL=${API_URL}
      - URL_PIX=${URL_PIX}
      - FIREBASE_API_KEY=${FIREBASE_API_KEY}
    deploy:
      replicas: 4 
      update_config:
        parallelism: 1 
        order: start-first
      restart_policy:
        condition: on-failure

networks:

  simplifique-network:
    external: true